Parser (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Parser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Parser

    java.lang.Object
      org.apache.jasper.compiler.Parser

public class Parser
extends java.lang.Object

This class implements a parser for a JSP page (non-xml view). JSP page grammar is included here for reference. The token '#' that appears in the production indicates the current input token location in the production.

Author:
  Kin-man Chung

Method Summary
`static Node.Nodes` | `parse(ParserController pc, JspReader reader, Node parent)` The main entry for Parser
`static org.xml.sax.Attributes` | `parseAttributes(ParserController pc, JspReader reader)` Parse Attributes for a reader, provided for external use

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static Node.Nodes parse(ParserController pc,
                                   JspReader reader,
                                   Node parent)
                            throws JasperException

  The main entry for Parser

  Parameters:
    `pc` - The ParseController, use for getting other objects in compiler and for parsing included pages
    `reader` - To read the page
    `parent` - The parent node to this page, null for top level page
  Returns:
    list of nodes representing the parsed page
  Throws:
    `JasperException`

### parseAttributes

    public static org.xml.sax.Attributes parseAttributes(ParserController pc,
                                                         JspReader reader)
                                                  throws JasperException

  Parse Attributes for a reader, provided for external use

  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.